Create a channel
curl --request POST \
--url https://api.ando.so/v1/conversations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "errors"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'errors'})
};
fetch('https://api.ando.so/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations"
payload = { "name": "errors" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"access_control_type": "public",
"conversation_id": "22222222-2222-4222-8222-222222222222",
"member_ids": [
"33333333-3333-4333-8333-333333333333",
"11111111-1111-4111-8111-111111111111"
],
"name": "errors"
}
}Create a channel
Creates a channel in the authenticated workspace. Same operation as the MCP create_channel tool: channels are public unless access_control_type is “private”, the caller always joins, and a name already used by an active channel returns 409 channel_name_conflict.
POST
https://api.ando.so/v1
/
conversations
Create a channel
curl --request POST \
--url https://api.ando.so/v1/conversations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "errors"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'errors'})
};
fetch('https://api.ando.so/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/conversations"
payload = { "name": "errors" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"access_control_type": "public",
"conversation_id": "22222222-2222-4222-8222-222222222222",
"member_ids": [
"33333333-3333-4333-8333-333333333333",
"11111111-1111-4111-8111-111111111111"
],
"name": "errors"
}
}Authorizations
AndoApiKeyBearerApiKey
Body
application/json
Channel creation request. Same operation as the MCP create_channel tool.